diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py
index f4398d55..1da37fc6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py
@@ -11,24 +11,25 @@ from __future__ import print_function
 
 import json
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import ClientTestBaseClass
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as extension_utils
 
 
-class ExtensionsAddTestCase(BaseTestGenerator):
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for extension node.
-        ('Check Extension Node', dict(url='/browser/extension/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestExtensionsAdd(ClientTestBaseClass):
+    def test_add_extension(self):
+        """
+        When creation request is sent to the backend
+        it returns 200 status """
 
-    def runTest(self):
-        """ This function will add extension under test schema. """
-        super(ExtensionsAddTestCase, self).runTest()
+        url = '/browser/extension/obj/'
         self.schema_data = parent_node_dict["schema"][-1]
         self.server_id = self.schema_data["server_id"]
         self.db_id = self.schema_data['db_id']
@@ -42,12 +43,20 @@ class ExtensionsAddTestCase(BaseTestGenerator):
             raise Exception("Could not connect to database.")
         self.data = extension_utils.get_extension_data(self.schema_name)
         response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(
                 self.db_id) + '/',
             data=json.dumps(self.data),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+
+        json_response = self.response_to_json(response)
+        self.assert_node_json(json_response,
+                              'extension',
+                              'pgadmin.node.extension',
+                              False,
+                              'icon-extension',
+                              'cube')
 
     def tearDown(self):
         """This function disconnect the test database and drop added extension.
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py
index a1644a59..a436af1a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py
@@ -9,24 +9,25 @@
 
 from __future__ import print_function
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import ClientTestBaseClass
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as extension_utils
 
 
-class ExtensionsDeleteTestCase(BaseTestGenerator):
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for extension node.
-        ('Check Extension Node', dict(url='/browser/extension/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestExtensionsDelete(ClientTestBaseClass):
+    def test_delete_extension(self):
+        """
+        When deletion request in sent to the backend
+        it returns 200 status """
 
-    def setUp(self):
-        """ This function will create extension."""
-        super(ExtensionsDeleteTestCase, self).setUp()
+        url = '/browser/extension/obj/'
         self.schema_data = parent_node_dict['schema'][-1]
         self.server_id = self.schema_data['server_id']
         self.db_id = self.schema_data['db_id']
@@ -36,8 +37,6 @@ class ExtensionsDeleteTestCase(BaseTestGenerator):
         self.extension_id = extension_utils.create_extension(
             self.server, self.db_name, self.extension_name, self.schema_name)
 
-    def runTest(self):
-        """ This function will delete extension added test database. """
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
@@ -48,12 +47,20 @@ class ExtensionsDeleteTestCase(BaseTestGenerator):
                                                     self.extension_name)
         if not response:
             raise Exception("Could not find extension.")
-        delete_response = self.tester.delete(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+        response = self.tester.delete(
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) +
             '/' + str(self.extension_id),
             follow_redirects=True)
-        self.assertEquals(delete_response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+
+        json_response = self.response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Extension dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
 
     def tearDown(self):
         """This function disconnect the test database. """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py
index 2401f1ed..c7d5c36a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py
@@ -9,24 +9,25 @@
 
 from __future__ import print_function
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import ClientTestBaseClass
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as extension_utils
 
 
-class ExtensionsGetTestCase(BaseTestGenerator):
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for extension node.
-        ('Check Extension Node', dict(url='/browser/extension/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestExtensionsGet(ClientTestBaseClass):
+    def test_get_extension(self):
+        """
+        When get request is sent to the backend
+        it returns 200 status"""
 
-    def setUp(self):
-        """ This function will create extension."""
-        super(ExtensionsGetTestCase, self).setUp()
+        url = '/browser/extension/obj/'
         self.schema_data = parent_node_dict['schema'][-1]
         self.server_id = self.schema_data['server_id']
         self.db_id = self.schema_data['db_id']
@@ -36,8 +37,6 @@ class ExtensionsGetTestCase(BaseTestGenerator):
         self.extension_id = extension_utils.create_extension(
             self.server, self.db_name, self.extension_name, self.schema_name)
 
-    def runTest(self):
-        """ This function will fetch added extension under database name. """
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
@@ -45,11 +44,22 @@ class ExtensionsGetTestCase(BaseTestGenerator):
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
         response = self.tester.get(
-            self.url + str(utils.SERVER_GROUP) + '/' + str(
+            url + str(utils.SERVER_GROUP) + '/' + str(
                 self.server_id) + '/' +
             str(self.db_id) + '/' + str(self.extension_id),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = self.response_to_json(response)
+
+        json_response | should.have.key('eid')
+        json_response | should.have.key('owner') > \
+            should.be.equal.to(self.server['username'])
+        json_response | should.have.key('name') > should.be.equal.to('cube')
+        json_response | should.have.key('schema') > \
+            should.be.equal.to(self.schema_name)
+        json_response | should.have.key('relocatable') > should.be.true
+        json_response | should.have.key('version')
+        json_response | should.have.key('comment')
 
     def tearDown(self):
         """This function disconnect the test database and drop added
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py
index 39598982..f80d845a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py
@@ -11,24 +11,24 @@ from __future__ import print_function
 
 import json
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import ClientTestBaseClass
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as extension_utils
 
 
-class ExtensionsPutTestCase(BaseTestGenerator):
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for extension node.
-        ('Check Extension Node', dict(url='/browser/extension/obj/'))
-    ]
-
-    def setUp(self):
-        """ This function will create extension."""
-        super(ExtensionsPutTestCase, self).setUp()
+@pytest.mark.skip_databases(['gpdb'])
+class TestExtensionsPut(ClientTestBaseClass):
+    def test_extensions_put(self):
+        """
+        When PUT request is sent to the backend
+        it returns 200 status"""
+        url = '/browser/extension/obj/'
         self.schema_data = parent_node_dict['schema'][-1]
         self.server_id = self.schema_data['server_id']
         self.db_id = self.schema_data['db_id']
@@ -38,8 +38,6 @@ class ExtensionsPutTestCase(BaseTestGenerator):
         self.extension_id = extension_utils.create_extension(
             self.server, self.db_name, self.extension_name, self.schema_name)
 
-    def runTest(self):
-        """ This function will update extension added under test database. """
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
@@ -54,14 +52,22 @@ class ExtensionsPutTestCase(BaseTestGenerator):
             "schema": "public",
             "id": self.extension_id
         }
-        put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+        response = self.tester.put(
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(
                 self.db_id) +
             '/' + str(self.extension_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+
+        json_response = self.response_to_json(response)
+        self.assert_node_json(json_response,
+                              'extension',
+                              'pgadmin.node.extension',
+                              False,
+                              'icon-extension',
+                              'cube')
 
     def tearDown(self):
         """This function disconnect the test database and drop added
diff --git a/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_module.py b/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_module.py
index f8c47ab3..daad0a32 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_module.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_module.py
@@ -10,10 +10,10 @@
 import sys
 
 import six
+from grappa import should
 
-from pgadmin.browser.server_groups.servers\
+from pgadmin.browser.server_groups.servers \
     .databases.external_tables import ExternalTablesModule
-from pgadmin.utils.route import BaseTestGenerator
 
 if sys.version_info < (3, 3):
     from mock import MagicMock, Mock
@@ -21,79 +21,39 @@ else:
     from unittest.mock import MagicMock, Mock
 
 
-class TestExternalTablesModule(BaseTestGenerator):
-    scenarios = [
-        ('#BackendSupported When access the on a Postgresql Database, '
-         'it returns false',
-         dict(
-             test_type='backend-support',
-             manager=dict(
-                 server_type='pg',
-                 sversion=90100
-             ),
-             expected_result=False,
-         )),
-        ('#BackendSupported When access the on a GreenPlum Database, '
-         'it returns true',
-         dict(
-             test_type='backend-support',
-             manager=dict(
-                 server_type='gpdb',
-                 sversion=82303
-             ),
-             expected_result=True
-         )),
-        ('#get_nodes when trying to retrieve the node, '
-         'it should return true',
-         dict(
-             test_type='get-nodes',
-             function_parameters=dict(
-                 gid=10,
-                 sid=11,
-                 did=12,
-             ),
-             expected_generate_browser_collection_node_called_with=12
-         )),
-        ('#get_module_use_template_javascript when checking if need to '
-         'generate javascript from template, '
-         'it should return false',
-         dict(
-             test_type='template-javascript',
-             expected_result=False
-         ))
-    ]
-
-    def runTest(self):
-        if self.test_type == 'backend-support':
-            self.__test_backend_support()
-        elif self.test_type == 'get-nodes':
-            self.__test_get_nodes()
-        elif self.test_type == 'template-javascript':
-            self.__test_template_javascript()
+class TestExternalTablesModule(object):
+    def test_backend_support_on_postgresql(self):
+        """When accessed on Postgresql Database"""
+        manager = MagicMock()
+        manager.sversion = 90100
+        manager.server_type = 'pg'
+        module = ExternalTablesModule('something')
+        module.BackendSupported(manager) | should.be.false
 
-    def __test_backend_support(self):
+    def test_backend_support_greenplum(self):
+        """When accessed on GreenPlum Database"""
         manager = MagicMock()
-        manager.sversion = self.manager['sversion']
-        manager.server_type = self.manager['server_type']
+        manager.sversion = 82303
+        manager.server_type = 'gpdb'
         module = ExternalTablesModule('something')
-        self.assertEquals(
-            self.expected_result,
-            module.BackendSupported(manager)
-        )
+        module.BackendSupported(manager) | should.be.true
 
-    def __test_get_nodes(self):
+    def test_get_nodes(self):
+        """when trying to retrieve the node,
+         it calls the generate_browser_collection_node function
+        with value 12"""
         module = ExternalTablesModule('something')
         module.generate_browser_collection_node = Mock()
 
-        result = module.get_nodes(**self.function_parameters)
+        result = module.get_nodes(gid=10,
+                                  sid=11,
+                                  did=12)
         six.next(result)
 
-        module.generate_browser_collection_node.assert_called_with(
-            self.expected_generate_browser_collection_node_called_with
-        )
+        module.generate_browser_collection_node.assert_called_with(12)
 
-    def __test_template_javascript(self):
+    def test_template_javascript(self):
+        """when checking if it needs to generate javascript from template,
+        it should return false"""
         module = ExternalTablesModule('something')
-        self.assertEquals(
-            self.expected_result,
-            module.module_use_template_javascript)
+        module.module_use_template_javascript | should.be.false
diff --git a/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_view.py b/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_view.py
index 473378a6..0e4e79c1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_view.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_view.py
@@ -7,12 +7,13 @@
 #
 ##########################################################################
 
-import os
 import sys
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.external_tables import \
     ExternalTablesView
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
 
 if sys.version_info < (3, 3):
     from mock import MagicMock, patch
